%define upstream_name    Games-Sudoku-Solver
%define upstream_version 1.1.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Solve 9x9-Sudokus recursivly
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(version)
BuildArch: noarch

%description
This module solves 9x9-Sudoku puzzles by recursion. There is no restriction
to the difficulty and the number of solutions.

The puzzle can be stored in a single dimension array or in a file, where
unknown cells are presented by zeros or points.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.1.0-10.mga8
+ Revision: 1494670
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.1.0-9.mga7
+ Revision: 1268190
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.1.0-8.mga6
+ Revision: 1027663
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.1.0-7.mga6
+ Revision: 948891
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.1.0-6.mga5
+ Revision: 788540
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-5.mga5
+ Revision: 748642
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.0-3.mga4
+ Revision: 511820
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 367626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 25 2012 kharec <kharec> 1.1.0-1.mga3
+ Revision: 283972
- imported package perl-Games-Sudoku-Solver

